Bug 81915 - mysql-server.sh not ssh-friendly
mysql-server.sh not ssh-friendly
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Alex Dupre
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-05 12:40 UTC by marshall
Modified: 2008-07-30 07:20 UTC (History)
0 users

See Also:


Attachments
file.diff (688 bytes, patch)
2005-06-05 12:40 UTC, marshall
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description marshall 2005-06-05 12:40:08 UTC
        In at least databases/mysql41-server, the mysql-server.sh file
        created in /usr/local/etc/rc.d is not friendly to ssh when starting.
        An ssh command that involves starting MySQL will never terminate.

Fix: Pipe STDERR to /dev/null like STDOUT is piped.

        Patch that works in a more-ssh-friendly fashion below.

How-To-Repeat: 
        ssh some.machine.com /usr/local/etc/rc.d/mysql-server.sh start
Comment 1 Sergey Matveychuk freebsd_committer 2005-06-05 13:37:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

Over to maintainer
Comment 2 scheidell 2008-07-29 21:59:01 UTC
Looks like a good idea, can't hurt, why not add it when the 
mysql50-server upgrade to 5.0.67 (released july 18)?

-- 
Michael Scheidell, President
Main: 561-999-5000, Office: 561-939-7259
 > *| *SECNAP Network Security Corporation

    * Certified SNORT Integrator
    * Everything Channel Hot Product of 2008
    * Shaping Information Security Award 2008
    * CRN Magazine Top 40 Emerging Security Vendors


_________________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(r). 
For Information please see http://www.spammertrap.com
_________________________________________________________________________
Comment 3 dfilter freebsd_committer 2008-07-30 07:11:25 UTC
ale         2008-07-30 06:11:16 UTC

  FreeBSD ports repository

  Modified files:
    databases/mysql323-server/files mysql-server.sh.in 
    databases/mysql40-server/files mysql-server.sh.in 
    databases/mysql41-server/files mysql-server.sh.in 
    databases/mysql50-server/files mysql-server.sh.in 
    databases/mysql51-server/files mysql-server.sh.in 
    databases/mysql60-server/files mysql-server.sh.in 
  Log:
  Make startup script ssh-friendly.
  
  PR:             ports/81915
  Submitted by:   David Marshall <marshall@chezmarshall.com>
  
  Revision  Changes    Path
  1.4       +2 -2      ports/databases/mysql323-server/files/mysql-server.sh.in
  1.4       +2 -2      ports/databases/mysql40-server/files/mysql-server.sh.in
  1.5       +2 -2      ports/databases/mysql41-server/files/mysql-server.sh.in
  1.4       +2 -2      ports/databases/mysql50-server/files/mysql-server.sh.in
  1.6       +2 -2      ports/databases/mysql51-server/files/mysql-server.sh.in
  1.8       +2 -2      ports/databases/mysql60-server/files/mysql-server.sh.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Alex Dupre freebsd_committer 2008-07-30 07:11:35 UTC
State Changed
From-To: open->closed

Committed, thanks!